import { ref } from 'vue'

export const operators = ['+', '-', 'x', '/'] as const
export const pool = [
  1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 25, 50, 75, 100,
] as const

export enum GameState {
  Undefined = 0,
  Waiting = 1,
  Playing = 2,
  Lost = 3,
  Won = 4,
}

export const gameState = ref(GameState.Undefined)
